From 3b3d772280391be5c1ba47f7f93b650ea50569c6 Mon Sep 17 00:00:00 2001
From: Hou Zhijie <houzj.fnst@cn.fujitsu.com>
Date: Mon, 29 Jan 2024 10:55:27 +0800
Subject: [PATCH] Update the doc for upgrading slots

Update the document for upgrading slots as it still referred to the
'conflicting' column pg_replication_slot which has been changed to
'conflict_reason'.
---
 doc/src/sgml/ref/pgupgrade.sgml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/ref/pgupgrade.sgml b/doc/src/sgml/ref/pgupgrade.sgml
index 87be1fb1c2..cda1901952 100644
--- a/doc/src/sgml/ref/pgupgrade.sgml
+++ b/doc/src/sgml/ref/pgupgrade.sgml
@@ -440,8 +440,8 @@ make prefix=/usr/local/pgsql.new install
       <para>
        All slots on the old cluster must be usable, i.e., there are no slots
        whose
-       <link linkend="view-pg-replication-slots">pg_replication_slots</link>.<structfield>conflicting</structfield>
-       is <literal>true</literal>.
+       <link linkend="view-pg-replication-slots">pg_replication_slots</link>.<structfield>conflict_reason</structfield>
+       is not <literal>NULL</literal>.
       </para>
      </listitem>
      <listitem>
-- 
2.30.0.windows.2

